# Interface ITestRunSession

All Superinterfaces:
  `ITestElement, ITestElementContainer`

public interface ITestRunSession extends ITestElementContainer
Represents a test run session.

This interface is not intended to be implemented by clients.

Since:
  3.3
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

### Nested classes/interfaces inherited from interface ITestElement

`ITestElement.FailureTrace, ITestElement.ProgressState, ITestElement.Result`

## Method Summary

Modifier and Type
Method
Description
`IJavaProject`
`getLaunchedProject()`
Returns the Java project from which this test run session has been launched, or `null` if not available.
`String`
`getTestRunName()`
Returns the name of the test run.

### Methods inherited from interface ITestElement

`getElapsedTimeInSeconds, getFailureTrace, getParentContainer, getProgressState, getTestResult, getTestRunSession`

### Methods inherited from interface ITestElementContainer

`getChildren`

## Method Details

### getTestRunName

String getTestRunName()
Returns the name of the test run. The name is the name of the launch configuration use to run this test.

Returns:
  returns the test run name

### getLaunchedProject

IJavaProject getLaunchedProject()
Returns the Java project from which this test run session has been launched, or `null` if not available.

Returns:
  the launched project, or `null` is not available.
Since:
  3.6